Author Topic: ULX is practically broken and ive reinstalled everything  (Read 378 times)

0 Members and 1 Guest are viewing this topic.

Offline iceKid_mpj

  • Newbie
  • *
  • Posts: 1
  • Karma: 0
ULX is practically broken and ive reinstalled everything
« on: August 21, 2018, 05:31:27 PM »
So im working on my darkrp server and ULX wont delete the adverts. and when ever I do, I get the following error in server console(lua errors below)

When ever I use something on the cmds tab that has args or options like Speed, kick, it will show in chat:
Usage: ulx kick <player> <reason>
and its very annoying. I only have URS. as an addition to ULX.
and basically anything I try in ulx it always says the usage. If I need to downgrade ulib or ulx tell me please.

These are my addons:
http://prntscr.com/klfgk0
http://prntscr.com/klfgn3
If it has anything to do with Backdoor buster tell me please.

My ULib/ULX versions (run "ulx version" in console):
ULib v2.63w
ULX v3.73w

Game mode(s) I am having this problem on:
DarkRP
Lua errors shown in console, if any:
Code: [Select]
[ERROR] addons/ulx/lua/ulx/xgui/server/sv_settings.lua:161: attempt to get length of a nil value
  1. unknown - addons/ulx/lua/ulx/xgui/server/sv_settings.lua:161
   2. unknown - addons/ulx/lua/ulx/modules/xgui_server.lua:73
    3. unknown - lua/includes/modules/concommand.lua:54

[ERROR] addons/ulx/lua/ulx/xgui/server/sv_bans.lua:186: bad argument #1 to 'lower' (string expected, got nil)
  1. lower - [C]:-1
   2. unknown - addons/ulx/lua/ulx/xgui/server/sv_bans.lua:186
    3. unknown - addons/ulx/lua/ulx/modules/xgui_server.lua:73
     4. unknown - lua/includes/modules/concommand.lua:54